/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Vivek K S

#ifndef _ANNOTATION_GLUE_H_
#define _ANNOTATION_GLUE_H_

// Annotation template
#define ANNOTATION_TEMPLATE "/usr/local/store/annotations/%s/%s"
#define CHIKKI_ANNOTATION_TEMPLATE "/usr/local/store1/annotations/%s/%s"

// Annotation states
#define ANNOTATION_NOT_THERE	1
#define ANNOTATION_THERE	2

char *string_escape_annotation(const char *annotation_key);
char *get_annotation_prefix(const char *app_name, const char *annotation_key, Bool escaped);
void delete_annotation(const char *app_name, const char *annotation_key);

#endif
